Create Artifacts

  • POST
  • /workspaces
  • /:workspace
  • /artifacts

Create a new artifact

Request

REQUIRED SCOPES
ARTIFACT_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

BODY PARAMETERS
typerequiredstring enum
The type of artifact
Allowed enum:
CONTAINER,
BUCKET,
NPM,
COMPOSER
namerequiredstring
The display name of the artifact
scoperequiredstring enum
The scope level of the artifact
Allowed enum:
WORKSPACE,
PROJECT,
ENVIRONMENT
authorizationrequiredAuthorizationView
Artifact authorization configuration. Password is only used in requests and not returned in responses. BASIC authorization can only be used with FILES type artifacts.
identifierstring
The human-readable identifier of the artifact
projectProjectReferenceView
Project reference for artifact creation/update
environmentEnvironmentReferenceView
Environment reference for artifact creation/update
permissionsArtifactPermissionsView
Artifact permissions configuration
allowed_pipelinesAllowedPipelineView[]
List of pipelines allowed to access this artifact
pipelines_access_levelstring enum
Set to true to allow all pipelines to use this artifact
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of sandboxes allowed to access this package
sandboxes_access_levelstring enum
Default access level for all sandboxes
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT

Response

RESPONSE BODY
typestring enum
The type of artifact
Allowed enum:
CONTAINER,
BUCKET,
NPM,
COMPOSER
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The unique ID of the artifact
namestring
The display name of the artifact
identifierstring
The human-readable identifier of the artifact
scopestring enum
The scope level of the artifact
Allowed enum:
WORKSPACE,
PROJECT,
ENVIRONMENT
sizeinteger
Total size of all artifact versions in bytes
projectShortProjectView
Short representation of a project
environmentShortEnvironmentView
Short representation of an environment object
authorizationAuthorizationView
Artifact authorization configuration. Password is only used in requests and not returned in responses. BASIC authorization can only be used with FILES type artifacts.
permissionsArtifactPermissionsView
Artifact permissions configuration
allowed_pipelinesAllowedPipelineView[]
List of pipelines allowed to access this artifact
pipelines_access_levelstring enum
Set to true to allow all pipelines to use this artifact
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of sandboxes allowed to access this package
sandboxes_access_levelstring enum
Default access level for all sandboxes
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
created_datestring
Artifact creation timestamp
retention_rulesArtifactRetentionRuleView[]
List of retention rules for automatic cleanup of artifact versions

Last modified on Jun 29, 2026

Examples

Example: workspace-artifact

curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "My Workspace Artifact", "type": "CONTAINER", "scope": "WORKSPACE" }'

Example: project-artifact

curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "My Project Artifact", "type": "CONTAINER", "scope": "PROJECT", "project": { "name": "my-project" } }'

Example: environment-artifact

curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "My Environment Artifact", "type": "BUCKET", "scope": "ENVIRONMENT", "environment": { "id": "nZrnl40Y" } }'

Example: secure-artifact

curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Secure Artifact", "type": "BUCKET", "scope": "PROJECT", "project": { "name": "secure-project" }, "authorization": { "type": "BASIC", "user": "apiuser", "password": "securepass123" } }'
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "id": "x5169jL2", "name": "My New Artifact", "identifier": "my-new-artifact", "type": "CONTAINER", "project": { "url": "https://api.buddy.works/workspaces/ttests/projects/my-project", "html_url": "https://app.buddy.works/ttests/projects/my-project", "name": "my-project", "display_name": "My Project" }, "scope": "PROJECT", "authorization": { "type": "BUDDY" }, "permissions": { "others": "READ_ONLY", "users": [ { "id": 42, "access_level": "MANAGE" } ] }, "size": 1073741824, "created_date": "2024-01-22T09:15:00Z" }
STATUS
201 Artifact created successfully